首页新闻找找看学习计划

system.data.oracleClen需要oracle客户端软件 version 8.17或更高版本

0
悬赏园豆:5 [待解决问题]

错误如上所示.

我的项目是一个winform程序,连接Oracle出现如此错误。

我写了个测试程序,偏偏没有问题。

 

环境vs2008和oracle8i

 

测试代码:

#region

public void Test()

{

  var connstr = @"省略";

  try

  {

    using(var conn = new OracleConnetion(connstr))

    {

      conn.Open();  

    }

  }

  catch(Exception ex)

  {

    MessageBox.Show(ex.Message);//此处输入错误!

  }

}

#endregion

 

 

问题是项目和测试程序一样的环境,可恶至极!

哪位有经验介绍下,万分感谢!

gzl的主页 gzl | 初学一级 | 园豆:5
提问于:2013-04-09 22:02
< >
分享
所有回答(2)
0
2012 | 园豆:18877 (专家六级) | 2013-04-10 08:44
0

重启了一下,好了,奶奶个熊

gzl | 园豆:5 (初学一级) | 2013-04-10 11:16
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册